# $Revision: 1.18 $, $Date: 2004/08/18 01:00:04 $
Summary:	A C++ interface for the libbonoboui
Summary(pl):	Interfejs C++ dla libbonoboui
Name:		libbonobouimm
Version:	1.3.7
Release:	3
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbonobouimm/1.3/%{name}-%{version}.tar.bz2
# Source0-md5:	d563938439ea59004f2bb54ad33e6d5b
Patch0:		%{name}-gtkmm24.patch
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libbonobomm-devel >= 1.3.8-2
BuildRequires:	libbonoboui-devel >= 2.4.0
BuildRequires:	libsigc++-devel >= 1:2.0.1
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	perl-base >= 5.6
BuildRequires:	pkgconfig
Requires:	cpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for libbonoboui library.

%description -l pl
Ten pakiet dostarcza interfejs C++ dla biblioteki libbonoboui.

%package devel
Summary:	Header files for libbonobouimm library
Summary(pl):	Pliki nagwkowe biblioteki libbonobouimm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.4.0
Requires:	libbonobomm-devel >= 1.3.8-2
Requires:	libbonoboui-devel >= 2.4.0

%description devel
Header files for libbonobouimm library.

%description devel -l pl
Pliki nagwkowe biblioteki libbonobouimm.

%package static
Summary:	libbonobouimm static libraries
Summary(pl):	Biblioteki statyczne libbonobouimm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libbonobouimm static libraries.

%description static -l pl
Biblioteki statyczne libbonobouimm.

%prep
%setup -q
%patch0 -p1

# force regeneration for libsigc++-2.0
rm -f bonobomm/servers/{control*,wrap_init.cc}
rm -f bonobomm/servers/private/control*
rm -f bonobomm/widgets/{dock*,selector*,wi*,wrap_init.cc}
rm -f bonobomm/widgets/private/{dock*,selector*,wi*}

%build
# exceptions and rtti are used in this package --misiek
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--enable-static 
# examples/creating_control/Makefile.am contains hardcoded "$(prefix)/lib/bonobo-2.0"
%{__make} \
	samplesdir=%{_libdir}/bonobo-2.0/samples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	samplesdir=%{_libdir}/bonobo-2.0/samples

cp -dpr examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/bonobo-2.0/samples/*
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome/ui/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/libbonobouimm-*
%{_libdir}/glibmm-*/proc/m4/*
%{_includedir}/libbonobouimm-2.0
%{_pkgconfigdir}/*.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbonobouimm.spec,v $
Revision 1.18  2004/08/18 01:00:04  ankry
- rel. 3 to rebuild

Revision 1.17  2004/08/17 21:43:27  ankry
- rel. 2 to rebuild

Revision 1.16  2004/05/20 16:32:51  qboosh
- updated gtkmm24 patch, pass samplesdir - builds on amd64 now
- BR: libsigc++-devel >= 1:2.0.1 due to bug in 2.0.0

Revision 1.15  2004/05/19 23:17:34  qboosh
- added gtkmm24 patch, build with glibmm+gtkmm 2.4

Revision 1.14  2004/05/07 17:02:02  qboosh
- strict internal deps, fixed -devel desc

Revision 1.13  2003/11/18 14:13:18  grzegol
- updated to 1.3.7

Revision 1.12  2003/11/10 14:45:03  grzegol
- rel. 3 to rebuild with orbitcpp-1.3.8

Revision 1.11  2003/10/09 13:30:09  qboosh
- added -devel deps, removed redundant BR ORBit2-devel, orbitcpp-devel
- moved base docs to base
- BR: pkgconfig

Revision 1.10  2003/09/01 23:01:10  grzegol
- rel. 2 to rebuild with libbonobomm-1.3.7

Revision 1.9  2003/08/24 16:34:04  grzegol
- updated to 1.3.6

Revision 1.8  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.7  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.6  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/10 00:43:15  grzegol
- updated to 1.3.5
- fixed %%files
- changed to .bz2 source

Revision 1.3  2003/03/16 20:43:07  qboosh
- pl cosmetics, ldconfig

Revision 1.2  2003/03/13 22:36:45  djrzulf
updated BR

Revision 1.1  2003/03/01 15:24:02  mkierus
- initial release
